Subject: Re: bug#20741: 24.4; flyspell doesn't work with abbreviations ending in a period

From: Reuben Thomas <[email-masked]>
Date: Mon, 14 Feb 2022 15:28:42 +0000

On Mon, 14 Feb 2022 at 10:45, Lars Ingebrigtsen <[email-masked]> wrote:

> Reuben Thomas <[email-masked]> writes:
>
> > To be honest, I'm not sure Emacs can do much here. As far as I can
> > tell, hunspell doesn't cope well with characters like "." that
> > normally are non-word characters, but *can* occur in a word.
> >
> > Relatedly, see: https://github.com/hunspell/hunspell/issues/361
>
> So it's a problem on the hunspell side, and not because Emacs is
> considering the "." to be a non-word character?  (I haven't tried to
> debug what's going on.)

For natural language, yes.

There's also a problem in common abbreviations like "i.e.", which is
> considered as the words "i" and "e", apparently...
>

This is indeed the case, and it's not normally a problem because Emacs does
not spellcheck words so short.

I was wondering whether Emacs could query the backend speller whether it
> had the word "foo." in the dictionary before squiggly-lining "foo", but
> I'm very unfamiliar with how these functions work.
>

It could!

-- 
https://rrt.sc3d.org